﻿/*CLIENT PORTAL STYLES*/
#progress_bar {
    display: block;
    height: auto;
    width: 100px;
    background-color: #cccccc;
    -moz-border-radius: 30px;
    -webkit-border-radius: 30px;
    border-radius: 30px;
    margin-top: 10px;
    margin-bottom: 30px;
    margin-left: 0;
    padding-left: 0;
    font-family: 'Roboto' "Arial", sans-serif;
    font-weight: 200;
    letter-spacing: 0.1px;
    color: white;
    position: relative;
    overflow: hidden;
}


    #progress_bar:before {
        display: block;
        height: 20px;
        background-color: rgba(255, 255, 255, 0.15);
        position: absolute;
        top: 0px;
        left: 0px;
        content: "";
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        z-index: 400;
    }

    #progress_bar:after {
        display: block;
        height: 40px;
        -moz-border-radius: 20px;
        -webkit-border-radius: 20px;
        border-radius: 20px;
        position: absolute;
        top: 0px;
        left: 0px;
        content: "";
        -moz-box-shadow: inset 0 0 5px #343434;
        -webkit-box-shadow: inset 0 0 5px #343434;
        box-shadow: inset 0 0 5px #343434;
        z-index: 500;
    }

    #progress_bar li {
        text-align: center;
        padding: 10px 0;
        margin: 0;
        position: relative;
        font-size: 0.75em;
        line-height: 1.1em;
        list-style-type: none;
    }

        #progress_bar li:after {
            width: 0px;
            height: 0px;
            display: block;
            border: 15px solid transparent;
            border-top-color: white;
            position: absolute;
            bottom: -30px;
            left: 0;
            content: "";
            z-index: 200;
        }

        #progress_bar li:before {
            width: 0px;
            height: 0px;
            display: block;
            border: 15px solid transparent;
            border-top-color: #cccccc;
            position: absolute;
            bottom: -28px;
            left: 0;
            content: "";
            z-index: 300;
        }

        #progress_bar li.last, #progress_bar li.last:before, #progress_bar li.last:after {
            border: none transparent;
        }

        #progress_bar li span {
            position: relative;
            left: 0px;
            bottom:5px;
            z-index: 350;
        }

.Submitted li:nth-child(1) {
    background-color: #ffa800;
}

    .Submitted li:nth-child(1):before {
        border-top-color: #ffa800 !important;
    }


.Received li:nth-child(2) {
    background-color: #ffa800;
}

    .Received li:nth-child(2):before {
        border-top-color: #ffa800 !important;
    }


.Received li:nth-child(-n+1) {
    background-color: #039AD3 !important;
}

    .Received li:nth-child(-n+1):before {
        border-top-color: #039AD3 !important;
    }


.Printed li:nth-child(3) {
    background-color: #ffa800;
}

    .Printed li:nth-child(3):before {
        border-top-color: #ffa800 !important;
    }


.Printed li:nth-child(-n+2) {
    background-color: #039AD3 !important;
}

    .Printed li:nth-child(-n+2):before {
        border-top-color: #039AD3 !important;
    }


.Scheduled li:nth-child(4) {
    background-color: #ffa800;
}

    .Scheduled li:nth-child(4):before {
        border-top-color: #ffa800 !important;
    }


.Scheduled li:nth-child(-n+3) {
    background-color: #039AD3 !important;
}

    .Scheduled li:nth-child(-n+3):before {
        border-top-color: #039AD3 !important;
    }


.Signed li:nth-child(5) {
    background-color: #ffa800;
}

    .Signed li:nth-child(5):before {
        border-top-color: #ffa800 !important;
    }


.Signed li:nth-child(-n+4) {
    background-color: #039AD3 !important;
}

    .Signed li:nth-child(-n+4):before {
        border-top-color: #039AD3 !important;
    }


.Complete li:nth-child(6) {
    background-color: #ffa800;
}

    .Complete li:nth-child(6):before {
        border-top-color: #ffa800 !important;
    }


.Complete li:nth-child(-n+5) {
    background-color: #039AD3 !important;
}

    .Complete li:nth-child(-n+5):before {
        border-top-color: #039AD3 !important;
    }

@media (min-width: 900px) {
    #progress_bar {
        height: 40px;
    }

        #progress_bar, #progress_bar:before, #progress_bar:after {
            width: 486px;
        }

            #progress_bar li {
                display: inline-block;
                width: 77px;
            }

                #progress_bar li:first-child {
                    -webkit-border-top-left-radius: 20px;
                    -webkit-border-bottom-left-radius: 20px;
                    -moz-border-radius-topleft: 20px;
                    -moz-border-radius-bottomleft: 20px;
                    border-top-left-radius: 20px;
                    border-bottom-left-radius: 20px;
                }

                #progress_bar li:last-child {
                    -webkit-border-top-right-radius: 20px;
                    -webkit-border-bottom-right-radius: 20px;
                    -moz-border-radius-topright: 20px;
                    -moz-border-radius-bottomright: 20px;
                    border-top-right-radius: 20px;
                    border-bottom-right-radius: 20px;
                    padding-right: 1px;
                }

                    #progress_bar li:last-child:before {
                        border: none;
                    }

                    #progress_bar li:last-child:after {
                        border: none;
                    }

                #progress_bar li:after {
                    border: 20px solid transparent;
                    border-left-color: white;
                    top: 0px;
                    left: 80px;
                    bottom: auto;
                    right: auto;
                }

                #progress_bar li:before {
                    border: 20px solid transparent;
                    border-left-color: #cccccc;
                    top: 0px;
                    left: 77px;
                    bottom: auto;
                    right: auto;
                }

                #progress_bar li span {
                    left: 10px;
                }

    .Submitted li:nth-child(1):before {
        border-left-color: #ffa800 !important;
        border-top-color: transparent !important;
    }

    .Received li:nth-child(2):before {
        border-left-color: #ffa800 !important;
        border-top-color: transparent !important;
    }

    .Received li:nth-child(-n+1):before {
        border-left-color: #039AD3 !important;
        border-top-color: transparent !important;
    }

    .Printed li:nth-child(3):before {
        border-left-color: #ffa800 !important;
        border-top-color: transparent !important;
    }

    .Printed li:nth-child(-n+2):before {
        border-left-color: #039AD3 !important;
        border-top-color: transparent !important;
    }

    .Scheduled li:nth-child(4):before {
        border-left-color: #ffa800 !important;
        border-top-color: transparent !important;
    }

    .Scheduled li:nth-child(-n+3):before {
        border-left-color: #039AD3 !important;
        border-top-color: transparent !important;
    }

    .Signed li:nth-child(5):before {
        border-left-color: #ffa800 !important;
        border-top-color: transparent !important;
    }

    .Signed li:nth-child(-n+4):before {
        border-left-color: #039AD3 !important;
        border-top-color: transparent !important;
    }

    .Complete li:nth-child(6):before {
        border-left-color: #ffa800 !important;
        border-top-color: transparent !important;
    }

    .Complete li:nth-child(-n+5):before {
        border-left-color: #039AD3 !important;
        border-top-color: transparent !important;
    }
}

/*Styles for zooming in document section thumbnail*/
.img-magnifier-container {
    position: relative;
}

.img-magnifier-glass {
    position: absolute;
    border: 3px solid #000;
    border-radius: 50%;
    cursor: none;
    /*Set the size of the magnifier glass:*/
    width: 100px;
    height: 100px;
}

/*Styles for Address Lookup*/
.suggestions {
    box-shadow: 2px 2px 8px 0 rgba(0,0,0,.2);
    height: auto;
    position: absolute;
    top: 43px;
    z-index: 9999;
    width: 330px;
    background-color: white;
}

    .suggestions .suggest-element {
        background-color: #ffffff;
        border-top: 1px solid #d6d4d4;
        cursor: pointer;
        padding: 8px;
        width: 100%;
        float: left;
    }
.right-down {
    grid-area: right-down;
    background-color: red;
}

/*Styles for dropdown submenu*/
.dropdown-submenu {
    position: relative;
}

.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -1px;
}